commit:     30cf043a0aedab5072b87a573ba01f4d6b2ac91e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 20 05:37:36 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 20 05:37:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30cf043a

dev-python/pygit2: Bump to 1.6.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pygit2/Manifest            |  1 +
 dev-python/pygit2/pygit2-1.6.1.ebuild | 40 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index 2513d300978..56186c75db2 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1,2 +1,3 @@
 DIST pygit2-1.5.0.tar.gz 255958 BLAKE2B 
696a4c39920e7f66962b69d2a838c55bfb6f96e7e5ee56a39aaa732926accc3bb6331042382fd22f377959cbc129be0320d94765d13db95fdb7c7f87a14f7608
 SHA512 
3f915c855ad08641391565906023d231550a38d4e7f8938fad4634a30e2ee1c81e2a0d3289052426e21d2c14814300a0f789eaaa9f3e62c3ece73cf53803bb80
 DIST pygit2-1.6.0.tar.gz 265798 BLAKE2B 
8244cbcecdd9b9edcb8fb0cfbc2024f1d36a01c8a3e519e05770ca80d7a482393892bcbd4a61402e7622b84f02909a2a36b9767273d6322a94a15eb974fdb8fa
 SHA512 
c051ce09d227b6ec0c7d3068b5b0220f5c150936d788462dfb3236c97954f9b76f6a1fd61cd42e604810582e3d1a5bc8784fc51c9fedac66ad1b42af580af494
+DIST pygit2-1.6.1.tar.gz 258338 BLAKE2B 
dc223e2a5231728c42ca7e0581483731fbab6ee090cf4aeeb27f186973b3c753fdf54c89679a88b97d834d717135f9b8f9a2adf492ed8572affa938c79d0f905
 SHA512 
67a78313493ba096cbae6805bda861495f33644fd180b5fb1cd99dcd226ef5a09ee85bd27d04d0697ef15503a4e902aa1384980870551f430fd9560ac949fe2f

diff --git a/dev-python/pygit2/pygit2-1.6.1.ebuild 
b/dev-python/pygit2/pygit2-1.6.1.ebuild
new file mode 100644
index 00000000000..b69f1d68cbe
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.6.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="https://github.com/libgit2/pygit2 https://pypi.org/project/pygit2/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       =dev-libs/libgit2-1.1*
+       dev-python/cached-property[${PYTHON_USEDEP}]
+       >=dev-python/cffi-1.0:=[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unconditionally prevent it from using network
+       sed -i -e '/has_network/s:True:False:' test/utils.py || die
+
+       # we need to move them away to prevent pytest from forcing '..'
+       # for imports
+       mkdir hack || die
+       mv test hack/ || die
+       ln -s hack/test test || die
+}
+
+python_test() {
+       pytest -vv hack/test || die
+}

Reply via email to